Name:           python-django-dbbackup
Version:        4.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Management commands to help backup and restore a project database and media.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jazzband/django-dbbackup
Source:         %{pypi_source django_dbbackup}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-dbbackup' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-dbbackup
Summary:        %{summary}

%description -n python3-django-dbbackup %_description


%prep
%autosetup -p1 -n django_dbbackup-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-dbbackup -f %{pyproject_files}


%changelog
%autochangelog